* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
*::before, *::after {
    box-sizing: border-box;
}
*::selection {
    background-color: tomato;
    color: #000;
}

html {
    scroll-behavior: smooth;
}

body {
    display: flex;
    min-height: 60vh;
    flex-direction: column;
    background-color: #072541;
}

/* Header */
.header {
    color: #fff;
    background-color: #2a2727;
    position: fixed;
    top: 0;
    width: 100%;
    transition: 0.2s;
    padding: 0.6em 0.6em 0.3em 0.6em;
}

.nav-bar {
    display: flex;
    justify-content: space-between;
    gap: 1em;
}

.nav-container {
    display: flex;
    flex: 1;
    justify-content: space-between;
}

#logo {
    width: 1.5em;
    height: auto;
    border-radius: 30px;
}

.left-nav a{
    display: flex;
    gap: 0.5em;
    color: #fff;
    cursor: pointer;
    align-items: center;
    text-decoration: none;
}

.letter {
    position: relative;
}

.letter::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    background: #24262A;
    animation: animate 500ms linear 1;
    animation-fill-mode: forwards;
}

.letter:nth-child(2)::before {
    animation-delay: 250ms;
}

.letter:nth-child(3)::before {
    animation-delay: 500ms;
}

.letter:nth-child(4)::before {
    animation-delay: 1s;
}

.letter:nth-child(5)::before {
    animation-delay: 1.5s;
}

@keyframes animate {
    100% {
        top: -100%;
    }
}

.left-nav:hover {
    color: #B9B4C7;
}

.nav-links {
    display: flex;
    align-items: center;
    gap: 1em;
    font-size: 16px;
    list-style: none;
}

ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 16px;
}


ul li a:hover {
    color: #B9B4C7;
}

.nav-icon {
    color: white;
    display: flex;
    gap: 0.2em;
    font-size: 17px;
    align-items: center;
}

.nav-icon a {
    color: white;
}

.nav-icon1 {
    background-color: blue;
    border-radius: 20px;
    padding: 3px;
}

.nav-icon2 {
    background-color: blue;
    border-radius: 20px;
    padding:3px 5px;
}

.nav-icon1:hover {
    background-color: white;
    color: blue;
    border-radius: 20px;
    padding: 3px;
}

.nav-icon2:hover {
    background-color: white;
    color: blue;
    border-radius: 20px;
    padding:3px 5px;
}
/* Main */
main {
  flex: 1; /* Allows the main content to take up remaining space */
}

.intro {
    max-width: 70% ;
    margin: 100px 0 70px 3em;
    color: white;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}

.h1-large {
    font-size: 3.75rem;
    line-height: 4.625rem;
    width: 540px;
    height: 222;
}

.h1-large {
    font: 60px;
    margin: 28px 0 28px;
}

.header .h1-large {
    margin-bottom: 1.75rem;
    color: #ffffff;
}

.more-info {
    display: flex;
    gap: 1em;
    align-items: center;
    cursor: pointer;
    margin: 0.5em 0 5em 0;
    max-width: max-content;
}

.more-info a {
    color: #ffffff;
    text-decoration: none;
}
.discovery-btn {
    display: inline-block;
    padding: 1.3rem 1.3rem 1.3rem 1.3rem;
    border: 1px solid #0b36a8;
    background-color: #0b36a8;
    font-weight: 600;
    font-size: 1.3rem;
    line-height: 0;
    text-decoration: none;
    transition: all 0.2s;
}

.discovery-btn:hover {
    background-color: #072541;
    color: #fff;
}

.email-me {
    font-size: 1.1rem;
}

.email-me, a:hover {
    color: #B9B4C7;
    transition: all 0.2s;
}

#about {
    display: flex;
    background-color: azure;
    padding: 124px 6em 84px;
}

.about-intro {
    width: 380px;
    padding: 20px;
}

/* Footer */
footer {
    color: #fff;
    margin-top: 10vh;
    flex-shrink: 0;
    text-align: center;

}

.footer-links{
    display: flex;
    gap: 15px;
    list-style: none;
    justify-content: center;
}

.footer-links li {
    font-size: 25px;
}

.go-top {
    display: flex;
    margin-left: auto;
}

.about-intro h2 {
    color: #24262a;
    font: 35px "Poppins", sans-serif;
    font-weight: 700;
    line-height: 2.5rem;
    margin: 0 0 8px;
}

.about-intro p {
    color: #4D5055;
    margin: 0 0 16px;
    font: 18px "Poppins", sans-serif;
}

.about-intro .time {
    color: blue;
    font-weight: 900;
    font: 18px "Poppins", sans-serif;
    margin: 0 0 8px;
}



.about-intro h6 {
    color: #24262A;
    font-size: 16px;
    font-weight: 600;
    font-family: "Poppins", sans-serif;
    margin: 0px 0px 2px;
}

#services {
    background-color: white;
    text-align: center;
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    padding: 124px 0 84px;
}

.description {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    padding: 0px 15px;
}

.h2-heading {
    color: #24262A;
    font-size: 32px;
    font-family: "Poppins", sans-serif;
    margin: 0 273px 32px;
}

.p-heading {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    margin: 0 187px 64px;    
}

.services-body {
    display: flex;
    gap: 15px;
    padding: 0 2.5em 0 2.5em;
    line-height: 1.4em;
}

.services-body i {
    color: #0b36a8;
    font-size: 3em;
}

.services-ele1 {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    padding: 15px 15px 15px 15px;
    border: 1px solid #B9B4C7;
}

.services-ele1 h4 {
    color: #24262A;
    font-size: 24px;
    font-family: "Poppins", sans-serif;
    margin: 18px 0 15px;
}

.services-ele1 p {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins","Poppins", sans-serif;
    margin: 0 0 16px;
}

.services-ele2 {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    padding: 15px 15px 15px 15px;
    border: 1px solid #B9B4C7;
}

.services-ele2 h4 {
    color: #24262A;
    font-size: 24px;
    font-family: "Poppins", sans-serif;
    margin: 18px 0 15px;
}

.services-ele2 p {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    margin: 0 0 16px;
}

.services-ele3 {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    padding: 15px 15px 15px 15px;
    border: 1px solid #B9B4C7;
}

.services-ele3 h4 {
    color: #24262A;
    font-size: 24px;
    font-family: "Poppins", sans-serif;
    margin: 18px 0 15px;
}

.services-ele3 p {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    margin: 0 0 16px;
}


.details {
    display: flex;
    font-size: 16px;
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    background-color: #F5F5F5;
}

.details-content {
    padding-left: 1em;
    padding: 0px 0 0 15px;
    margin-top: 2em;
    line-height: 1.5em;
}

#details-img {
    width: 43em;
}

.details h2 {
    color: #24262A;
    font-size: 32px;
    margin: 0 0 8px;
}

.details p {
    color: #4D5055;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    margin: 0 0 36px
}

.details h5 {
    color: #24262A;
    font-size: 20px;
    font-family: "Poppins", sans-serif;
    margin: 0 0 8px;
}

.icons-container ul li {
    display: flex;
    gap: 10px;
    margin-left: 10px;
}

#projects {
    text-align: center;
    padding-top: 2em;
    padding-bottom: 1em;
    background-color: #fff;
    height: 100vh;
}

.projects-body {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2.5em;
}

#project1:hover {
    opacity: 0.8;
    transform: scale(1.4);
}

.project-container {
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.project-container li{
    display: flex;
    gap: 10px;
}

.project-container ul li {
    text-align: center;
}

#project-img {
    width: 30em;
    height: 20em;
    margin-top: 1em;
    border-radius: 30px;
}

#projects h2 {
    margin-top: 10px;
    margin-bottom: 1em;
    padding-bottom: 10px;
    font-size: 2em;
    color: #24262A;
}

.project-container {
    padding-bottom: 3em;
}

.go-top {
    border: none;
    padding: 8px 10px;
    font-size: 1.3em;
    margin-right: 10px;
    border-radius: 20px;
    background-color: #0ba3a8;
}

.go-top a {
    color: #fff;
}

.go-top:hover {
    background-color: #fff;
}

.go-top:hover a {
    color: #0b36a8;
}

.copyright {
    margin-top: 20px;
}

.cv-download {
  text-align: center;
  margin-top: 50px;
}

.cv-download a {
  display: inline-block;
  padding: 10px 20px;
  margin-top: 1em;
  background-color: #337ab7;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  font-family: Arial, sans-serif;
  transition: background-color 0.3s ease;
}

.cv-download a:hover {
  background-color: #23527c;
}

.contact_container {
    width: 100%;
    padding: 3em 0;
    background-color: #F7F9FB;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "poppins", sans-serif;
}

form {
    background-color: #fff;
    display: flex;
    text-align: center;
    flex-direction: column;
    padding: 2vw 4vw;
    width: 90%;
    max-width: 600px;
    border-radius: 10px;
}

form:hover {
    transition: all 5s ease-in-out;
    background-color: #9BBEC8;
}

form h2 {
    color: #24262A;
    font-size: 32px;
    margin-bottom: 8px;
}

form p {
    color: #4D5055;
    font-size: 16px "poppins", sans-serif;
    margin-bottom: 64px;
}

form a {
    text-decoration: none;
}

form a:hover {
    color: #4D5055;
}

form input, form textarea {
    border: 0;
    margin: 10px 0;
    font-size: 16px;
    padding: 20px;
    outline: none;
    resize: vertical;
    border-radius: 5px;
    text-align: center;
    box-shadow: 0 0 2px rgb(150, 191, 162);
    background-color: #F5F5F5;
}

form button {
    border: 0;
    width: 150px;
    outline: none;
    color: #fff;
    padding: 15px;
    cursor: pointer;
    font-size: 20px;
    margin: 20px auto;
    border-radius: 30px;
    background-color: #0b36a8;
}

form button:hover {
    opacity: 0.82;
    transition: 0.5s ease-in;
}